#ifndef EQCOMP_H
#define EQCOMP_H
/* Filter type selection values */
#define EQC_LPF 0		/* lowpass filter */
#define EQC_HPF 1		/* highpass filter */
#define EQC_BPF0 2		/* Bandpass filter with constant skirt gain */
#define EQC_BPF1 3		/* Bandpass filter with 0 db peak gain  */
#define EQC_NOTCH 4		/* Notch filter */
#define EQC_APF 5		/* Allpass filter */
#define EQC_PEQ 6		/* Peaking eq filter */
#define EQC_LOW 7		/* Low shelf filter */
#define EQC_HIGH 8		/* High shelf filter */

/* Coefficient access symbols */
#define EQC_B0 0
#define EQC_B1 1
#define EQC_B2 2
#define EQC_A0 3
#define EQC_A1 4
#define EQC_A2 5

/* Function prototypes */
extern char * eqGetTypeString (int t);

extern void eqCompute (int type,
		       double fqHz,
		       double Q,
		       double dbG,
		       double * C);

extern void eqcLowPass_f   (double fqHz, double Q, float * F);
extern void eqcHighPass_f  (double fqHz, double Q, float * F);
extern void eqcBandPass0_f (double fqHz, double Q, float * F);
extern void eqcBandPass1_f (double fqHz, double Q, float * F);
extern void eqcNotch_f     (double fqHz, double Q, float * F);
extern void eqcAllPass_f   (double fqHz, double Q, float * F);
extern void eqcPeaking_f   (double fqHz, double Q, double dbGain, float * F);
extern void eqcPeaking_f   (double fqHz, double Q, double dbGain, float * F);
extern void eqcLowShelf_f  (double fqHz, double Q, double dbGain, float * F);
extern void eqcHighShelf_f (double fqHz, double Q, double dbGain, float * F);

#endif /* EQCOMP_H */
